aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorbeber <beber>2005-12-09 20:56:47 +0000
committerbeber <beber>2005-12-09 20:56:47 +0000
commit994a225682394476b065274f7fe8ef075070d420 (patch)
tree7119c174c4eea6364db4a5d9aec0931c97764d17 /autogen.sh
parentindent (diff)
downloadespik-994a225682394476b065274f7fe8ef075070d420.tar.xz
iadd a macro for ecore
involv in espik debug marcro less bordel autogen.sh
Diffstat (limited to '')
-rw-r--r--autogen.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/autogen.sh b/autogen.sh
index 12bfba8..cf6a86f 100644
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,11 +3,11 @@
rm -rf autom4te.cache
rm -f aclocal.m4
-echo "Running aclocal..."; aclocal $ACLOCAL_FLAGS -I m4 \
-&& echo "Running autoheader..."; autoheader \
-&& echo "Running autoconf..."; autoconf \
-&& echo "Running libtoolize..."; ( libtoolize --automake || glibtoolize --automake ) \
-&& echo "Running automake..."; automake --add-missing --copy --gnu
+echo "Running aclocal..."; aclocal $ACLOCAL_FLAGS -I m4 || exit 1
+echo "Running autoheader..."; autoheader || exit 1
+echo "Running autoconf..."; autoconf || exit 1
+echo "Running libtoolize..."; ( libtoolize --automake || glibtoolize --automake ) || exit 1
+echo "Running automake..."; automake --add-missing --copy --gnu || exit 1
if [ -z "$NOCONFIGURE" -a $? -eq 0 ]; then
./configure "$@"